/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-22 19:49:09
 * @FilePath: /202103/code/test/tmp/PatientInfos.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null
const PatientInfos = sequelize.define('patient_infos', {
  id: {type: Sequelize.STRING(32), allowNull: false, primaryKey: true}, // id,
  name: {type: Sequelize.STRING(100), allowNull: true, defaultValue: null}, // name, 患者姓名
  sex: {type: Sequelize.STRING(10), allowNull: true, defaultValue: null}, // sex, 性别
  card_num: {type: Sequelize.STRING(100), allowNull: true, defaultValue: null}, // card_num, 身份证号
  phone: {type: Sequelize.STRING(20), allowNull: true, defaultValue: null}, // phone, 手机号
  ctime: {type: Sequelize.DATE, allowNull: true, defaultValue: null}, // ctime, 创建时间
  birthday: {type: Sequelize.STRING(20), allowNull: true, defaultValue: null}, // birthday, 生日
  age: {type: Sequelize.STRING(10), allowNull: true, defaultValue: null}, // age, 年龄
  card_type: {type: Sequelize.STRING(30), allowNull: true, defaultValue: null}, // card_type, 证件类型
  nationality: {type: Sequelize.STRING(50), allowNull: true, defaultValue: null}, // nationality, 国籍
  nation: {type: Sequelize.STRING(30), allowNull: true, defaultValue: ''}, // nation, 民族
  marry: {type: Sequelize.STRING(10), allowNull: true, defaultValue: null}, // marry, 婚否
  professional: {type: Sequelize.STRING(100), allowNull: true, defaultValue: null}, // professional, 职业
  address: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // address, 联系地址
  temp_patient_id: {type: Sequelize.STRING(50), allowNull: true, defaultValue: null}, // temp_patient_id, 检查临时患者id(从dicom影像中解析）
  status: {type: Sequelize.INTEGER(10), allowNull: false, defaultValue: 1}, // status,
  institution_id: {type: Sequelize.STRING(200), allowNull: true, defaultValue: null}, // institution_id, 所属医院
  anamnesis: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // anamnesis, 疾病史
  family_ill: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // family_ill, 家族史
  ext: {type: Sequelize.JSON, allowNull: true, defaultValue: null}, // ext,
  flag: {type: Sequelize.INTEGER(10), allowNull: false, defaultValue: 0}, // flag 标记 1解析 0不知道
}, {
  freezeTableName: true,
  charset: 'utf8'
});
PatientInfos.sync({ force: false }).then(function() {});
export default PatientInfos;