/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-22 20:07:01
 * @FilePath: /202103/code/test/tmp/QualityControl.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null
const QualityControl = sequelize.define('quality_control', {
  id: {type: Sequelize.STRING(255), allowNull: false, primaryKey: true}, // id,
  institution_id: {type: Sequelize.STRING(50), allowNull: false}, // institution_id, 医院id
  report_id: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // report_id, 报告id
  pic_quality: {type: Sequelize.INTEGER(2), allowNull: true, defaultValue: null}, // pic_quality, 影像质量打分
  report_quality: {type: Sequelize.INTEGER(2), allowNull: true, defaultValue: null}, // report_quality, 报告质量打分
  comment_time: {type: Sequelize.DATE, allowNull: true, defaultValue: null}, // comment_time, 评价时间
  comment_user_id: {type: Sequelize.STRING(50), allowNull: false, defaultValue: ''}, // comment_user_id, 评价人ID
  comment_user_name: {type: Sequelize.STRING(100), allowNull: false, defaultValue: ''}, // comment_user_name, 评价人名称
  pic_evaluate: {type: Sequelize.STRING(1000), allowNull: true, defaultValue: null}, // pic_evaluate,
  report_evaluate: {type: Sequelize.STRING(1000), allowNull: true, defaultValue: null}, // report_evaluate,
  report_doctor: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // report_doctor 报告医生id
}, {
  freezeTableName: true,
  charset: 'utf8',
  indexes:[
    {fields : ['report_id']}
  ],
});
QualityControl.sync({ force: false }).then(function() {});
export default QualityControl;